# This should simulate preseed behavior

apt-get update
apt-get -y install curl

# Add apt repository
echo "deb [arch=amd64] http://apt.mirantis.com/trusty/ nightly salt" > /etc/apt/sources.list.d/mcp_salt.list
echo "deb [arch=amd64] http://mirror.mirantis.com/nightly/extra/trusty trusty main" > /etc/apt/sources.list.d/mcp_extra.list
curl -sf http://mirror.mirantis.com/nightly/extra/trusty/archive-extra.key | apt-key add -

apt-get clean
apt-get update

# Kernel makes no sense in docker, let base.sh know
touch /tmp/no_install_kernel
